| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiHandleArrayProperty Class Reference

`#include <Property.h>`

Inheritance diagram for GaudiHandleArrayProperty:

[legend]
Collaboration diagram for GaudiHandleArrayProperty:

[legend]
List of all members.

## Detailed Description

Definition at line 811 of file Property.h.

## Public Member Functions
| GaudiHandleArrayProperty (const std::string &name, GaudiHandleArrayBase &ref)
GaudiHandleArrayProperty & | operator= (const GaudiHandleArrayBase &value)
virtual GaudiHandleArrayProperty * | clone () const
| clone: "virtual constructor"
virtual bool | load (Property &destination) const
| export the property value to the destination
virtual bool | assign (const Property &source)
| import the property value form the source
virtual std::string | toString () const
| value -> string
virtual StatusCode | fromString (const std::string &s)
| string -> value
const GaudiHandleArrayBase & | value () const
bool | setValue (const GaudiHandleArrayBase &value)
## Private Attributes
GaudiHandleArrayBase * | m_pValue
| Pointer to the real property.

## Constructor & Destructor Documentation

GaudiHandleArrayProperty::GaudiHandleArrayProperty | ( | const std::string & | name,
|  | GaudiHandleArrayBase & | ref |
| ) |  |  |

Definition at line 265 of file Property.cpp.

References m_pValue, Property::name(), and GaudiHandleInfo::setPropertyName().

Referenced by clone().

    00266   : Property( name, typeid( GaudiHandleArrayBase ) ), m_pValue( &ref )
    00267 {
    00268   m_pValue->setPropertyName( name );
    00269 }

## Member Function Documentation

GaudiHandleArrayProperty & GaudiHandleArrayProperty::operator= | ( | const GaudiHandleArrayBase & | value | ) | `[inline]`

Definition at line 843 of file Property.h.

References setValue(), and value().

    00843                                                                                                         {
    00844   setValue( value );
    00845   return *this;
    00846 }

GaudiHandleArrayProperty * GaudiHandleArrayProperty::clone | ( |  | ) | const`[inline, virtual]`

clone: "virtual constructor"

Implements Property.

Definition at line 848 of file Property.h.

References GaudiHandleArrayProperty().

    00848                                                                        {
    00849   return new GaudiHandleArrayProperty( *this );
    00850 }

bool GaudiHandleArrayProperty::load | ( | Property & | destination | ) | const`[inline, virtual]`

export the property value to the destination

Implements Property.

Definition at line 852 of file Property.h.

References Property::assign().

    00852                                                                         {
    00853   return destination.assign( *this );
    00854 }

bool GaudiHandleArrayProperty::assign | ( | const Property & | source | ) | `[inline, virtual]`

import the property value form the source

Implements Property.

Definition at line 856 of file Property.h.

References fromString(), and Property::toString().

    00856                                                                      {
    00857   return fromString( source.toString() ) != 0;
    00858 }

std::string GaudiHandleArrayProperty::toString | ( |  | ) | const`[virtual]`

value -> string

Implements Property.

Definition at line 277 of file Property.cpp.

References m_pValue, Gaudi::Utils::toString(), GaudiHandleArrayBase::typesAndNames(), and Property::useReadHandler().

    00277                                                    {
    00278   // treat as if a StringArrayProperty
    00279   useReadHandler();
    00280   return Gaudi::Utils::toString( m_pValue->typesAndNames() );
    00281 }

StatusCode GaudiHandleArrayProperty::fromString | ( | const std::string & | s | ) | `[virtual]`

string -> value

Implements Property.

Definition at line 283 of file Property.cpp.

References StatusCode::FAILURE, StatusCode::isFailure(), m_pValue, Gaudi::Parsers::parse(), GaudiHandleArrayBase::setTypesAndNames(), StatusCode::SUCCESS, and Property::useUpdateHandler().

Referenced by assign().

    00283                                                                          {
    00284   // treat as if a StringArrayProperty
    00285   std::vector< std::string > tmp;
    00286   StatusCode sc = Gaudi::Parsers::parse ( tmp , source );
    00287   if ( sc.isFailure() ) return sc;
    00288   if ( !m_pValue->setTypesAndNames( tmp ) ) return StatusCode::FAILURE;
    00289   useUpdateHandler();
    00290   return StatusCode::SUCCESS;
    00291 }

const GaudiHandleArrayBase & GaudiHandleArrayProperty::value | ( |  | ) | const`[inline]`

Definition at line 860 of file Property.h.

References m_pValue, and Property::useReadHandler().

Referenced by operator=(), configGenerator::pythonizeValue(), and setValue().

    00860                                                                          {
    00861   useReadHandler();
    00862   return *m_pValue;
    00863 }

bool GaudiHandleArrayProperty::setValue | ( | const GaudiHandleArrayBase & | value | ) |

Definition at line 271 of file Property.cpp.

References m_pValue, GaudiHandleArrayBase::setTypesAndNames(), GaudiHandleArrayBase::typesAndNames(), Property::useUpdateHandler(), and value().

Referenced by operator=().

    00271                                                                            {
    00272   m_pValue->setTypesAndNames( value.typesAndNames() );
    00273   useUpdateHandler();
    00274   return true;
    00275 }

## Member Data Documentation

GaudiHandleArrayBase* GaudiHandleArrayProperty::m_pValue`[private]`

Pointer to the real property.

Reference would be better, but Reflex does not support references yet

Definition at line 835 of file Property.h.

Referenced by fromString(), GaudiHandleArrayProperty(), setValue(), toString(), and value().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Property.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/Property.cpp